
QGIS Application - Bug report #21365

QGIS crashes with web view attachment widget in a relation widget in the attribute form

2019-02-24 09:53 PM - Andrew McAninch

Status: Closed

Priority: High

Assignee:

Category: Attribute table

Affected QGIS version:3.4.5 Regression?: No

Operating System: windows 7, ubuntu 18.04 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 29182

Description

Ive tested this in the 3.4 LTR in on Windows 7 and Ubuntu Bionic.

If I have a relation set up between 2 layers and the child layer has an attribute with the widget set to "attachment" with web view preview

then when I try to switch between child features in the relation widget in the attribute form QGIS will crash.

I've attached sample data/project.  to replicate:

 identify a point.  

 scroll down the attribute table to the relation widget

 click on a new child feature

Related issues:

Duplicates QGIS Application - Bug report # 19118: Crash when clicking browse ... Open 2018-06-05

History

#1 - 2019-02-24 09:55 PM - Giovanni Manghi

- Priority changed from Normal to High

#2 - 2019-03-15 10:41 AM - Giovanni Manghi

- Duplicates Bug report #19118: Crash when clicking browse button in attachment edit widget added

#3 - 2019-03-15 10:41 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

Files

crash_demo.zip 15.1 KB 2019-02-24 Andrew McAninch
